PortalUserManager (Social Portal ISTI Scheduler Support Library 0.2.4-SNAPSHOT API)
Date: 2014-02-24

org.gcube.portal.istischeduler

## Interface PortalUserManager

- All Known Implementing Classes:
    LiferayPortalUserManager

      public interface PortalUserManager

  Author:
    Massimiliano Assante, ISTI-CNR

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `createUser(String administratorUsername, PortalUserModel user2Add)` The username of one administrator is needed to perform thi operation
    `PortalUserModel` | `getUserByFiscalCode(String fiscalCode)`
    `PortalUserModel` | `getUserByUsername(String username)`
    `List<PortalUserModel>` | `listPortalUsers()`
    `boolean` | `updateUser(PortalUserModel user2Update)`

- - ### Method Detail

    - #### createUser

          boolean createUser(String administratorUsername,
                           PortalUserModel user2Add)
                             throws UserManagementSystemException,
                                    UserRetrievalFault

      The username of one administrator is needed to perform thi operation
      Parameters:
        `user2Add` - `PortalUserModel`
      Returns:
        true if ok fals otherwise
      Throws:
        `UserManagementSystemException`
        `UserRetrievalFault`

    - #### updateUser

          boolean updateUser(PortalUserModel user2Update)
                             throws UserManagementSystemException,
                                    UserRetrievalFault

      Parameters:
        `user2Update` - `PortalUserModel`
      Returns:
        true if ok fals otherwise
      Throws:
        `UserRetrievalFault`
        `UserManagementSystemException`

    - #### getUserByUsername

          PortalUserModel getUserByUsername(String username)
                                            throws UserManagementSystemException

      Parameters:
        `username` -
      Returns:
        an instance of `PortalUserModel`
      Throws:
        `UserManagementSystemException`

    - #### getUserByFiscalCode

          PortalUserModel getUserByFiscalCode(String fiscalCode)
                                              throws UserManagementSystemException

      Parameters:
        `fiscalCode` -
      Returns:
        an instance of `PortalUserModel`
      Throws:
        `UserManagementSystemException`

    - #### listPortalUsers

          List<PortalUserModel> listPortalUsers()
                                                throws UserManagementSystemException

      Returns:
        the list of the current users in the portal as `PortalUserModel` istances
      Throws:
        `UserManagementSystemException`

Copyright © 2014. All Rights Reserved.